%define name ffmpeg2theora
%define version 0.24
%define release		%mkrel 3

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   A simple converter to create Ogg Theora files
License:   GPLv2+
URL:       http://www.v2v.cc/~j/ffmpeg2theora/
Group:     Video
Source:    http://www.v2v.cc/~j/ffmpeg2theora/%{name}-%{version}.tar.bz2
Patch: ffmpeg2theora-0.22-pkg-config.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: ffmpeg-devel >= 0.4.9-0.pre1.20060309.1mdk
BuildRequires: libvorbis-devel
BuildRequires: libtheora-devel
BuildRequires: scons
BuildRequires: libkate-devel

%description
Simple converter to create Ogg Theora files.

%prep
%setup -q
%patch -p1

%build
scons prefix=%_prefix mandir=%_mandir

%install
rm -rf $RPM_BUILD_ROOT
scons install destdir=%buildroot prefix=%_prefix mandir=%_mandir
install -D %name.1 %buildroot%_mandir/man1/%name.1


cat > $RPM_BUILD_DIR/%{name}-%{version}/README.urpmi << EOF

some examples using ffmpeg2theora:

to convert your DV file, called videoclip.dv to Ogg Theora:

ffmpeg2theora videoclip.dv

this will create an Ogg Theora file called videoclip.dv.ogg.

to encode with another quality, lets say Video Quality 7 and Audio Quality 3:

ffmpeg2theora -v 7 -a 3 videoclip.dv

you can also use the v2v Presets to encode your video

ffmpeg2theora -p preview videoclip.dv

or

ffmpeg2theora -p pro videoclip.dv

on linux you can use ffmpeg2theora to stream to an icecast server:
this needs the latest icecast-kh version and a small tool to send the ogg stream to the icecast server.

dvgrab --format raw - | \
	ffmpeg2theora -a 0 -v 5 -f dv -x 320 -y 240 -o /dev/stdout - | \ 
	oggfwd  icecastserver  8000 pwd /theora.ogg

crop the input

ffmpeg2theora --croptop 16 --cropbottom 16 --cropright 32 --cropleft 8 file.avi

further examples and discussion

EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS README TODO README.urpmi
%attr(0755,root,root) %{_bindir}/%{name}
%_mandir/man1/%name.1*




%changelog
* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.24-3mdv2010.0
+ Revision: 481688
- enable libkate

* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.24-2mdv2010.0
+ Revision: 437539
- rebuild

* Fri Mar 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.24-1mdv2009.1
+ Revision: 359035
- update to new version 0.24

* Wed Mar 11 2009 Götz Waschk <waschk@mandriva.org> 0.23-1mdv2009.1
+ Revision: 353680
- update to new version 0.23

* Sat Oct 25 2008 Götz Waschk <waschk@mandriva.org> 0.22-1mdv2009.1
+ Revision: 297105
- new version
- fix build
- fix installation

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 0.21-2mdv2009.1
+ Revision: 293151
- rebuild for new ffmpeg

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 0.21-1mdv2009.0
+ Revision: 230137
- new version
- drop patch
- remove plf build option

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 0.20-4mdv2009.0
+ Revision: 197465
- fix plf build

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 0.20-3mdv2009.0
+ Revision: 197453
- fix build with new ffmpeg
- update license tag

* Fri Jan 18 2008 Götz Waschk <waschk@mandriva.org> 0.20-2mdv2008.1
+ Revision: 154558
- rebuild

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2008.1
+ Revision: 140421
- new version
- patch to make it build with new ffmpeg
- rebuild for new ffmpeg

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.19-2mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.19-2mdv2008.0
+ Revision: 58010
- fix description

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2008.0
+ Revision: 57990
- new version


* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.16-3mdv2007.0
+ Revision: 79172
- Import ffmpeg2theora

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 0.16-3mdv2007.1
- rebuild

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 0.16-2mdk
- Rebuild

* Thu Mar 09 2006 Gtz Waschk <waschk@mandriva.org> 0.16-1mdk
- add man page
- bump deps
- New release 0.15

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 0.13-3mdk
- specfile support for AAC and DTS (disabled by default)
- spec fixes
- fix buildrequires

* Fri May 06 2005 <plouf@mandriva.org> 0.13-2mdk
-Fix README.urpmi

* Thu May 05 2005 <plouf@mandriva.org> 0.13-1mdk
- First Mandriva Linux release

